OrcProto.FileTailOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.FileTailOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.FileTail, OrcProto.FileTail.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.FileTailOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getFileLength()` `optional uint64 fileLength = 3;`
    `OrcProto.Footer` | `getFooter()` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.FooterOrBuilder` | `getFooterOrBuilder()` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.PostScript` | `getPostscript()` `optional .orc.proto.PostScript postscript = 1;`
    `long` | `getPostscriptLength()` `optional uint64 postscriptLength = 4;`
    `OrcProto.PostScriptOrBuilder` | `getPostscriptOrBuilder()` `optional .orc.proto.PostScript postscript = 1;`
    `boolean` | `hasFileLength()` `optional uint64 fileLength = 3;`
    `boolean` | `hasFooter()` `optional .orc.proto.Footer footer = 2;`
    `boolean` | `hasPostscript()` `optional .orc.proto.PostScript postscript = 1;`
    `boolean` | `hasPostscriptLength()` `optional uint64 postscriptLength = 4;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasPostscript

          boolean hasPostscript()

      `optional .orc.proto.PostScript postscript = 1;`

    - #### getPostscript

          OrcProto.PostScript getPostscript()

      `optional .orc.proto.PostScript postscript = 1;`

    - #### getPostscriptOrBuilder

          OrcProto.PostScriptOrBuilder getPostscriptOrBuilder()

      `optional .orc.proto.PostScript postscript = 1;`

    - #### hasFooter

          boolean hasFooter()

      `optional .orc.proto.Footer footer = 2;`

    - #### getFooter

          OrcProto.Footer getFooter()

      `optional .orc.proto.Footer footer = 2;`

    - #### getFooterOrBuilder

          OrcProto.FooterOrBuilder getFooterOrBuilder()

      `optional .orc.proto.Footer footer = 2;`

    - #### hasFileLength

          boolean hasFileLength()

      `optional uint64 fileLength = 3;`

    - #### getFileLength

          long getFileLength()

      `optional uint64 fileLength = 3;`

    - #### hasPostscriptLength

          boolean hasPostscriptLength()

      `optional uint64 postscriptLength = 4;`

    - #### getPostscriptLength

          long getPostscriptLength()

      `optional uint64 postscriptLength = 4;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.